Rated 5 out of 5 stars

Version 1.0.7 is also available here under "See All Versions", but is listed as experimental.

Unfortunately, both 1.0.6 and 1.0.7 are listed as "Works with:" FF 2.0 - 3.5b4pre but won't pass the compatibility test when an install is attempted (at least not on OSX 10.5.6 with FF 3.5b4 released April 27).

This review is for a previous version of the add-on (1.0.7).